Skip to main content
Topic: Pacman -Syu throws this message at the end. (Read 1006 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Pacman -Syu throws this message at the end.

Hello guys I was doing some work today on my pc, the only things I installed was jdk10-openjdk and nothing else. not really sure what that warning means.

Code: [Select]
[[email protected] ~]$ sudo pacman -Syu
[sudo] password for dalas:
:: Synchronizing package databases...
 gremlins is up to date
 system is up to date
 world                                                                                 969.4 KiB   661 KiB/s 00:01 [####################################################################] 100%
 galaxy-gremlins is up to date
 galaxy is up to date
 testing is up to date
 extra is up to date
 community-testing is up to date
 community is up to date
:: Starting full system upgrade...
warning: opensysusers: local (0.6-1) is newer than system (0.5.1-4)
 there is nothing to do

Re: Pacman -Syu throws this message at the end.

Reply #1
#Removed

Re: Pacman -Syu throws this message at the end.

Reply #2
i wanna kill myself. first command ask me to delete everything in my pc and hit yes accidentally :S how can I recover this :(

Re: Pacman -Syu throws this message at the end.

Reply #3
Yeah there's no need to remove opensysusers, just reinstalling it (pacman -S opensysusers) would have been fine. You can check /var/log/pacman.log to see what packages were removed (it's not everything, but it's a ton of stuff). Just be sure to reinstall the critical, important things before you ever shut the machine down.

Sidenote: You can always send a kill signal (ctrl+c) to the terminal while the command is running to stop it.

Re: Pacman -Syu throws this message at the end.

Reply #4
unfortunately, I think it wiped everything cause I was not able to use 'sudo' or pacman' or 'su'  :(  I'm trying to chroot

Re: Pacman -Syu throws this message at the end.

Reply #5
unfortunately, I think it wiped everything cause I was not able to use 'sudo' or pacman' or 'su'  :(  I'm trying to chroot


😥 Sorry didn’t believe a pacman -S would fix it but yes should be able to chroot and fix it easily

Re: Pacman -Syu throws this message at the end.

Reply #6

😥 Sorry didn’t believe a pacman -S would fix it but yes should be able to chroot and fix it easily

My fault also didn't realize the output of the command and just hit enter.

btw I will update with news about it never done file recovery.

Re: Pacman -Syu throws this message at the end.

Reply #7
Hey Guys anybody familiar with testdisk? I was able to recover the etc folder which was the last thing deleted, I copied that into the live environment home folder. now how do I 'mount' or get it back to my original disk partition(in other words recover everything in my actual system)

Re: Pacman -Syu throws this message at the end.

Reply #8
should I do 'mount /[the etc folder i recover] /[my sda1] ?

Re: Pacman -Syu throws this message at the end.

Reply #9
Do you need to recover? Getting rid of packages doesn't touch personal data or anything. Just files related to the packages. I suppose there were some config files that you might have altered that got deleted, but in general most PKGBUILDs should specify those config files as part of the backup array so they don't get removed or overwritten. I think you should just be able to basestrap on your system and then chroot and fix any configurations you might need that were broken.

Re: Pacman -Syu throws this message at the end.

Reply #10
would that be 'basestrap /mnt base base-devel openrc' sorry I'm an amateur

Re: Pacman -Syu throws this message at the end.

Reply #11
would that be 'basestrap /mnt base base-devel openrc' sorry I'm an amateur

Yeah as long as your root partition is mounted on /mnt. You may or may not have to do some other things like remake your grub config. Unsure. Definitely don't forget to install a network daemon though.

Re: Pacman -Syu throws this message at the end.

Reply #12
sorry to make turn this into a general purpose forum post.

but I ran into this error

Code: [Select]
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
warning: failed to retrieve some files
error: failed to commit transaction (failed to retrieve some files)
Errors occurred, no packages were upgraded.
==> ERROR: Failed to install packages to new root
[artix artix]#

Re: Pacman -Syu throws this message at the end.

Reply #13
Looks like some corrupted package cache or something. Try getting rid of that file and then doing it again.

 

Re: Pacman -Syu throws this message at the end.

Reply #14
there are a lot of files like that and when trying to remove it says that they dont exist.

Code: [Select]
[artix artix]# basestrap /mnt base base-devel openrc
==> Creating install root at /mnt
  -> Installing packages to /mnt
:: Synchronizing package databases...
 gremlins is up to date
 system                       223.7 KiB   454K/s 00:00 [############################] 100%
 world                        969.4 KiB   155K/s 00:06 [############################] 100%
 galaxy-gremlins                6.9 KiB  2.26M/s 00:00 [############################] 100%
 galaxy                       888.7 KiB   818K/s 00:01 [############################] 100%
 testing                       22.8 KiB  0.00B/s 00:00 [############################] 100%
 extra is up to date
 community-testing             31.5 KiB  4.40M/s 00:00 [############################] 100%
 community is up to date
:: There are 25 members in group base-devel:
:: Repository gremlins
   1) automake
:: Repository system
   2) autoconf  3) binutils  4) bison  5) fakeroot  6) file  7) findutils  8) flex
   9) gawk  10) gcc  11) gettext  12) grep  13) groff  14) gzip  15) libelogind
   16) libtool  17) m4  18) make  19) pacman  20) patch  21) pkgconf  22) sed  23) sudo
   24) texinfo  25) which

Enter a selection (default=all):
resolving dependencies...
:: There are 3 providers available for init-elogind:
:: Repository system
   1) elogind-openrc  2) elogind-runit  3) elogind-s6

Enter a number (default=1):
looking for conflicting packages...

Package (146)                   New Version            Net Change  Download Size

system/acl                      2.2.53-2                 0.32 MiB              
system/archlinux-keyring        20200108-1               1.19 MiB              
system/archlinux-mirrorlist     20190821-1               0.04 MiB              
system/artix-keyring            20181001-1               0.12 MiB              
system/artix-mirrorlist         20200214-1               0.00 MiB              
system/attr                     2.4.48-2                 0.21 MiB              
system/audit                    2.8.5-7                  0.96 MiB              
system/bash                     5.0.016-1                8.03 MiB              
system/bzip2                    1.0.8-3                  0.14 MiB              
system/ca-certificates          20181109-3               0.00 MiB              
system/ca-certificates-mozilla  3.51-1                   0.92 MiB              
system/ca-certificates-utils    20181109-3               0.01 MiB              
gremlins/coreutils              8.32-1                  15.99 MiB              
system/cracklib                 2.9.7-2                  0.89 MiB              
system/curl                     7.69.1-1                 1.61 MiB              
system/db                       5.3.28-5                 6.41 MiB              
system/dbus                     1.12.16-5                0.91 MiB              
system/dbus-openrc              20202602-1               0.00 MiB              
system/diffutils                3.7-3                    1.39 MiB              
system/e2fsprogs                1.45.6-1                 4.76 MiB              
system/elfutils                 0.178-2                  3.47 MiB              
system/elogind                  243.4-1                  2.22 MiB              
system/elogind-openrc           20191020-1               0.02 MiB              
system/eudev                    3.2.9-3                  7.57 MiB              
system/eudev-openrc             32-7                     0.03 MiB              
system/expat                    2.2.9-3                  0.31 MiB              
system/filesystem               2019.10-2                0.03 MiB              
world/gc                        8.0.4-3                  0.72 MiB              
system/gcc-libs                 9.3.0-1                149.57 MiB              
system/gdbm                     1.18.1-3                 0.48 MiB              
system/glib2                    2.64.1-1                14.59 MiB              
system/glibc                    2.31-2                  46.16 MiB              
system/gmp                      6.2.0-1                  0.99 MiB              
system/gnupg                    2.2.20-1                 9.78 MiB              
system/gnutls                   3.6.12-1                 6.49 MiB              
system/gpgme                    1.13.1-4                 1.23 MiB              
world/guile                     2.2.6-1                 44.42 MiB              
system/hwids                    20200306-1               1.74 MiB              
system/iana-etc                 20200311-1               3.88 MiB              
system/icu                      65.1-3                  36.91 MiB              
system/inetutils                1.9.4-8                  1.11 MiB              
system/iproute2                 5.5.0-1                  2.59 MiB              
system/iptables                 1:1.8.4-1                2.76 MiB       0.43 MiB
system/iputils                  20190709-2               0.28 MiB              
system/kbd                      2.2.0-5                  2.85 MiB              
world/kexec-tools               2.0.20-1                 0.24 MiB              
system/keyutils                 1.6.1-3                  0.17 MiB              
system/kmod                     27-1                     0.28 MiB              
gremlins/krb5                   1.18-1                   4.48 MiB              
system/less                     551-3                    0.23 MiB              
system/libarchive               3.4.2-1                  1.07 MiB              
system/libassuan                2.5.3-2                  0.15 MiB              
system/libcap                   2.33-1                   0.15 MiB              
system/libcap-ng                0.7.10-1                 0.10 MiB              
world/libcroco                  0.6.13-1                 1.22 MiB              
system/libelf                   0.178-2                  2.82 MiB              
system/libeudev                 3.2.9-3                  0.15 MiB              
system/libffi                   3.2.1-4                  0.06 MiB              
system/libgcrypt                1.8.5-2                  1.32 MiB              
system/libgpg-error             1.37-1                   0.89 MiB              
system/libidn2                  2.3.0-1                  0.39 MiB              
system/libksba                  1.3.5-2                  0.28 MiB              
system/libldap                  2.4.49-1                 0.89 MiB              
system/libmicrohttpd            0.9.70-1                 0.38 MiB              
system/libmnl                   1.0.4-3                  0.03 MiB              
system/libmpc                   1.1.0-2                  0.13 MiB              
world/libnetfilter_conntrack    1.0.7-1                  0.18 MiB              
world/libnfnetlink              1.0.1-3                  0.06 MiB              
system/libnftnl                 1.1.5-1                  0.23 MiB              
system/libnghttp2               1.39.2-2                 0.34 MiB              
system/libnl                    3.5.0-2                  2.01 MiB              
system/libp11-kit               0.23.20-3                2.66 MiB              
system/libpcap                  1.9.1-2                  0.53 MiB              
system/libpsl                   0.21.0-2                 0.18 MiB              
system/libsasl                  2.1.27-2                 0.50 MiB              
system/libseccomp               2.4.2-1                  0.69 MiB              
system/libsecret                0.20.2-1                 2.17 MiB              
system/libssh2                  1.9.0-2                  0.40 MiB              
system/libtasn1                 4.16.0-1                 0.26 MiB              
system/libtirpc                 1.2.5-1                  0.42 MiB              
system/libunistring             0.9.10-2                 2.25 MiB              
system/libusb                   1.0.23-2                 0.17 MiB              
system/libutil-linux            2.35.1-1                 1.33 MiB              
world/libx11                    1.6.9-6                 10.15 MiB              
world/libxau                    1.0.9-2                  0.02 MiB              
world/libxcb                    1.14-1                   3.73 MiB              
world/libxdmcp                  1.1.3-2                  0.13 MiB              
world/libxml2                   2.9.10-1                 9.19 MiB              
system/licenses                 20191011-2               0.41 MiB              
system/linux-api-headers        5.4.17-1                 4.42 MiB              
system/lz4                      1:1.9.2-2                0.40 MiB       0.11 MiB
system/mpfr                     4.0.2-2                  0.74 MiB              
system/ncurses                  6.2-1                    3.55 MiB              
system/netifrc                  0.7.1-1                  0.29 MiB              
system/nettle                   3.5.1-2                  0.80 MiB              
system/npth                     1.6-2                    0.04 MiB              
system/openssl                  1.1.1.e-1                7.27 MiB              
system/opensysusers             0.5.1-4                  0.01 MiB              
system/opentmpfiles             0.2-7                    0.01 MiB              
system/p11-kit                  0.23.20-3                0.69 MiB              
system/pam                      1.3.1-2                  2.84 MiB              
system/pambase                  20190105.1-2             0.00 MiB              
system/pciutils                 3.6.4-1                  0.26 MiB              
system/pcre                     8.44-1                   3.40 MiB              
gremlins/perl                   5.30.2-1                56.44 MiB              
system/pinentry                 1.1.0-5                  0.50 MiB              
system/procps-ng                3.3.16-1                 1.34 MiB              
system/psmisc                   23.3-2                   0.54 MiB              
system/readline                 8.0.004-1                0.69 MiB              
system/shadow                   4.8.1-1                  3.74 MiB              
system/sqlite                   3.31.1-1                 8.62 MiB              
system/tar                      1.32-3                   2.83 MiB              
system/tzdata                   2019c-3                  2.47 MiB              
system/util-linux               2.35.1-1                12.98 MiB              
world/xcb-proto                 1.14-1                   0.83 MiB              
world/xorgproto                 2019.2-2                 1.47 MiB              
system/xz                       5.2.5-1                  0.92 MiB              
system/zlib                     1:1.2.11-4               0.33 MiB       0.08 MiB
system/zstd                     1.4.4-1                  3.02 MiB              
system/autoconf                 2.69-7                   2.00 MiB              
gremlins/automake               1.16.2-1                 1.55 MiB              
system/base                     2-2.1                    0.00 MiB              
system/binutils                 2.34-2                  29.55 MiB              
system/bison                    3.5.3-1                  2.09 MiB              
system/fakeroot                 1.24-2                   0.13 MiB              
system/file                     5.38-3                   5.75 MiB              
system/findutils                4.7.0-2                  1.58 MiB              
system/flex                     2.6.4-3                  0.95 MiB              
system/gawk                     5.0.1-2                  2.77 MiB              
system/gcc                      9.3.0-1                139.32 MiB              
system/gettext                  0.20.1-3                 7.29 MiB              
system/grep                     3.4-1                    0.68 MiB              
system/groff                    1.22.4-3                 9.57 MiB              
system/gzip                     1.10-3                   0.15 MiB              
system/libelogind               243.4-1                  0.55 MiB              
system/libtool                  2.4.6+42+gb88cebd5-11    2.19 MiB              
system/m4                       1.4.18-3                 0.25 MiB              
system/make                     4.3-1                    1.52 MiB              
system/openrc                   0.42.1-12                2.06 MiB              
system/pacman                   5.2.1-4                  4.41 MiB              
system/patch                    2.7.6-9                  0.19 MiB              
system/pkgconf                  1.6.3-3                  0.15 MiB              
system/sed                      4.8-1                    0.72 MiB              
system/sudo                     1.8.31.p1-1              3.36 MiB              
system/texinfo                  6.7-2                    8.52 MiB              
system/which                    2.21-5                   0.03 MiB              

Total Download Size:     0.62 MiB
Total Installed Size:  786.31 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages...
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/zlib-1:1.2.11-4-x86_64.pkg.tar.xz.part: Invalid argument
warning: failed to retrieve some files
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/lz4-1:1.9.2-2-x86_64.pkg.tar.xz.part: Invalid argument
warning: failed to retrieve some files
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
error: could not open file /mnt/var/cache/pacman/pkg/iptables-1:1.8.4-1-x86_64.pkg.tar.xz.part: Invalid argument
warning: failed to retrieve some files
error: failed to commit transaction (failed to retrieve some files)
Errors occurred, no packages were upgraded.
==> ERROR: Failed to install packages to new root
[artix artix]#